Book Blocks
===========

This module augments the built-in blocks for the Book module that is part
of the Drupal core. The blocks can be used individually or in concert with 
these blocks and the build-in blocks that are part of the Book module.
They all address the current book page being viewed and will not be displayed
if another content type is being viewed. 

The blocks currently include:
1. Children: list of child pages for the current page
2. Navigation: Replicates the navigation links found at the bottom of the 
3. Table of Contents: Book's table of contents that also includes a link to the top page
4. Edit: Includes a combination of navigation, table of contents and edit links.

The Edit block is the one with the most options. 

The Table of Contents can be used with the Collapsiblock module to expand and hide 
the table of contents. This is built into the Edit block that does not require that module. 


Installation
------------
Copy the book_blocks files to the modules directory and install the module. 
The new blocks will now be available wherever blocks are used. 


Notes
=====

Edit Block Link Use
-------------------
The links (left, middle, right) in the Edit block can be used for any purpose. 
A typical use for the left link is included automatically and links to the list of books.
I use the right one for a Help link and the middle for an index.
The index is a View that is based off the {{ book_id }} so the path looks like:
    /book-index/{{ book_id }}

Panel Page Suggestion
---------------------
I have used the blocks with the Panels project (http://drupal.org/project/panels) 
to define a page for book displays. This is done by adding a variant. 
The Selection Criteria has entity_bundle:node --  Content type is book
The Content is:
   * Book edit links
   * Title
   * Body
   * Child pages
   * Book edit links

I actually have File, Gallery and Media fields after the body that I had added to 
the Book node type.

The titles are not displayed for any of the blocks.
I did have to add the following to one of my CSS files to get the title to match the H1 definition.

.block-plugin-id--entity-field-nodetitle .field-name-title {
  margin-bottom: 1rem;
  text-transform: none;
  font-variant: normal;
  font-weight: 400;
  font-align: left;
  font-family: "Fira sans", sans-serif;
  font-size: 2.625rem;
  margin: 0 0 1rem;
  line-height: 1.125;
  box-sizing: border-box;
}

